package com.qmth.distributed.print.business.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.qmth.distributed.print.business.bean.result.obe.cultureProgram.CultureProgramResult;
import com.qmth.distributed.print.business.entity.ObeCultureProgram;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qmth.teachcloud.common.bean.dto.DataPermissionRule;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 培养方案 Mapper 接口
 * </p>
 *
 * @author xf
 * @since 2024-06-05
 */
public interface ObeCultureProgramMapper extends BaseMapper<ObeCultureProgram> {

    IPage<CultureProgramResult> pageData(@Param("page") Page<CultureProgramResult> page, @Param("schoolId") Long schoolId, @Param("professionalId") Long professionalId, @Param("name") String name, @Param("dpr") DataPermissionRule dpr);

    CultureProgramResult getByCultureProgramId(Long id);
}
